Fetch Records Export Public Preview
Retrieves a list of URLs to Parquet files containing all records synced during a given sync run, including the operation performed and the status of that operation.
Request schema
Query parameters
status
string
Filter records by successfully synced, invalid in source, or rejected by destination. Coming soon
enum:
"succeeded""rejected""invalid"
operation
string
Filter by whether Census tried to create or update the record (upsert) or delete the record (delete) in the destination. Coming soon
enum:
"upsert""delete"
Header parameters
Authorization
stringrequired
HTTP: basicAuth
HTTP AuthorizationScheme: basic
Http + 1.1
GET /api/v2/sync_runs/{sync_run_id}/records_export?status=SOME_STRING_VALUE&operation=SOME_STRING_VALUE HTTP/1.1 Authorization: Bearer REPLACE_BEARER_TOKEN Host: app.getcensus.com
Responses
200
Successfully retrieved record details.
400
Bad Request - The requested resource is not available. See the error message for more details.
404
Resource not found.
425
Too Early - This sync run hasn't finished processing. Exported records aren't available yet
200
status
stringrequired
The outcome of the fetch request.
enum:
"success"
urls
arrayrequired
List of presigned url's to parquet files.
type:
string
400
status
string
The outcome of the fetch request.
enum:
"error"
message
string
example:
Skipped records must be of type: source or destination.
404
status
integer
HTTP status code.
enum:
"404"
425
status
string
The outcome of the fetch request.
enum:
"error"
message
string
example:
Can't export record data until a sync has completed processing.
{ "status": "success", "urls": [ "string" ] }